// create angular app
var validationApp = angular.module('validationApp', []);

var INTEGER_REGEXP = /^\-?\d+$/;
validationApp.directive('integer', function() {
  return {
    require: 'ngModel',
    link: function(scope, elm, attrs, ctrl) {
      ctrl.$parsers.unshift(function(viewValue) {
        if (INTEGER_REGEXP.test(viewValue)) {
          // it is valid
		  console.log("Good");
          ctrl.$setValidity('integer', true);
          return viewValue;
		  
        } else {
			console.log("Bad");
          // it is invalid, return undefined (no model update)
          ctrl.$setValidity('integer', false);
          return undefined;
        }
      });
    }
  };
});

// create angular controller
validationApp.controller('mainController', function($scope, $window) {

// function to submit the form after all validation has occurred			
$scope.submitForm = function() {

		$scope.submitted = true;
		// check to make sure the form is completely valid
		if ($scope.userForm.$valid) { 
			$window.alert('Our form is amazing');
			return true;
		}
		else {
			$window.alert("Form has error, please fix those.");
			return false;
		}

	};

});